WHATIS(1)

NAZWA
whatis - wyświetla opisy stron podręcznika systemowego

SKŁADNIA
whatis [-dlhV] [-r|-w] [-s sekcja] [-m system[,...]] [-M ścieżka] [-L ustawienia_językowe] [-C plik] nazwa ...

OPIS
Każda strona podręcznika zawiera krótki opis. whatis przeszukuje nazwy stron podręcznika i wyświetla opisy stron pasujących do podanej nazwy. nazwa może zawierać znaki dopasowania (-w) lub być wyrażeniem regularnym (-r). Podczas używania tych opcji może być potrzebne umieszczenie nazwy w cudzysłowach lub poprzedzenie zawartych w niej znaków specjalnych znakiem odwrotnego ukośnika (\), aby zapobiec interpretowaniu ich przez powłokę. Podczas przeszukiwania są używane indeksowane bazy danych, które są aktualizowane przez program mandb, który w zależności od instalacji, może być uruchamiany okresowo przez program cron lub ręcznie po zainstalowaniu nowych stron podręcznika. Za pomocą poniższego polecenia można z indeksowanej bazy danych utworzyć przestarzałą, tekstową bazę danych whatis: whatis -M manpath -w '*' | sort > manpath/whatis gdzie manpath jest hierarchią stron podręcznika ekranowego taką jak /usr/man.

OPCJE

-d, --debug
    Wyświetla informację diagnostyczną (debug).

-v, --verbose
    Wyświetla szczegółowe ostrzeżenia.

-r, --regex
    Interpretuje każdą nazwę jako wyrażenie regularne. Jeżeli nazwa pasuje do jakiejkolwiek części nazwy strony podręcznika, zostanie dopasowana. Opcja ta trochę spowalnia działanie whatis z powodu natury takich wyszukiwań bazy danych.

-w, --wildcard
    Interpretuje każdą nazwę jako wzorzec zawierający globalne znaki dopasowania w stylu powłoki. Aby dopasowanie było poprawne, nazwa musi pasować do całej nazwy strony podręcznika. Opcja ta trochę spowalnia działanie whatis z powodu natury takich wyszukiwań bazy danych.

-l, --long
    Nie przycina wyjścia do szerokości terminalu. Normalnie, wyjście będzie skrócone do szerokości terminalu, aby uniknąć brzydkich efektów w przypadku źle napisanych sekcji NAZWA.

-s sekcja, --section sekcja
    Przeszukuje tylko podaną sekcję podręcznika. Jeżeli sekcja jest sekcją prostą, na przykład "3", to wyświetlona lista opisów będzie zawierać strony w sekcjach "3", "3perl", "3x" itd., podczas gdy jeżeli sekcja zawiera rozszerzenie, na przykład "3perl", to lista będzie zawierać tylko i wyłącznie strony w tej sekcji podręcznika.

-m system[,...], --systems=system[,...]
    Jeśli ten system ma dostęp do hierarchii stron man innego systemu operacyjnego, to ta opcja zapewnia do nich dostęp. W celu włączenia hierarchii stron podręcznika man z systemu NewOS, należy użyć opcji -m NewOS. Podany system może być kombinacją oddzielonych przecinkami nazw systemów operacyjnych. Jeżeli chcemy włączyć hierarchię stron man macierzystego systemu operacyjnego, to musimy użyć man jako nazwy systemu w łańcuchu argumentów. Niniejsza opcja nadpisuje wartości ustawione w zmiennej środowiska $SYSTEM.

-M ścieżka, --manpath=ścieżka
    Określa alternatywny zbiór rozdzielonych dwukropkami hierarchii stron podręcznika do przeszukiwania. Domyślnie whatis używa wartości zmiennej środowiskowej $MANPATH, chyba że jest pusta, co spowoduje, że na podstawie wartości zmiennej środowiska $PATH określi odpowiednią ścieżkę poszukiwań man. Opcja ta nadpisuje zawartość zmiennej $MANPATH.

-L ustawienia_językowe, --locale=ustawienia_językowe
    whatis zazwyczaj określa bieżące ustawienia językowa przez wywołanie systemowej funkcji C setlocale(3), która określa je na podstawie różnych zmiennych środowiska, takich jak $LC_MESSAGES i $LANG. Aby tymczasowo nadpisać wartości ustalone przez tę funkcję, można użyć tej opcji do bezpośredniego przekazania ustawień_językowych do programu whatis. Uwaga: będzie to miało wpływ tylko na wyszukiwanie stron podręcznika, komunikaty takie jak informacje o pomocy, zawsze będą wyświetlane w języku określonym na początku działania.

-C plik, --config-file=plik
    Używa podanego pliku konfiguracyjnego użytkownika zamiast domyślnego ~/.manpath.

-h, --help
    Wyświetla komunikat pomocy i kończy pracę.

-V, --version
    Wyświetla informację o wersji.

KOD ZAKOŃCZENIA

0   Program zakończony bez żadnych błędów.

1   Błąd użycia, składni lub pliku konfiguracyjnego.

2   Błąd działania.

16  Nie znaleziono niczego, co spełniałoby kryteria wyszukiwania.

ŚRODOWISKO

SYSTEM
    Jeżeli ustawiona jest zmienna $SYSTEM, to ma to taki sam skutek, jak przekazanie jej wartości jako argumentu opcji -m.

MANPATH
    Jeżeli ustawiona jest $MANPATH, to jej wartość jest interpretowana jako wskazana do użycia ścieżka przeszukiwań hierarchii stron man. Ścieżka zawiera rozdzielone dwukropkami nazwy hierarchii (katalogów).

MANWIDTH
    Jeżeli jest ustawiona opcja $MANWIDTH, to jej wartość określa szerokość terminala (patrz opis opcji --long). Jeśli nie jest ustawiona szerokość terminala zostanie pobrana z ioctl(2), jeśli jest dostępna, z wartości zmiennej $COLUMNS albo zostanie użyta domyślna wartość 80 znaków.

PLIKI

/usr/share/man/index.(bt|db|dir|pag)
    Tradycyjny globalny indeks bazy danych.

/var/cache/man/index.(bt|db|dir|pag)
    Zgodny z FHS globalny indeks bazy danych.

/usr/share/man/.../whatis
    Tradycyjna tekstowa baza danych whatis.

ZOBACZ TAKŻE
apropos(1), man(1), mandb(8).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).

TŁUMACZENIE
Wojciech Kotwica w 1999 roku przetłumaczył część stron podręcznika pakietu man-db i udostępnił je w ramach Projektu Tłumaczenia Manuali.
Robert Luberda tłumaczenie zaktualizował i uzupełnił w roku 2008.